The Spring Framework

## org.springframework.context.config
Class ContextNamespaceHandler

    java.lang.Object
      org.springframework.beans.factory.xml.NamespaceHandlerSupport
          org.springframework.context.config.ContextNamespaceHandler

All Implemented Interfaces:
  NamespaceHandler

    public class ContextNamespaceHandler

extends NamespaceHandlerSupport

`NamespaceHandler` for the '`context`' namespace.

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller

Constructor Summary
`ContextNamespaceHandler()`

Method Summary
`void` `init()` Invoked by the `DefaultBeanDefinitionDocumentReader` after construction but before any custom elements are parsed.

Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport
`decorate, findDecoratorForNode, findParserForElement, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextNamespaceHandler

    public ContextNamespaceHandler()

Method Detail

### init

    public void init()

  Description copied from interface: `NamespaceHandler`
  Invoked by the `DefaultBeanDefinitionDocumentReader` after construction but before any custom elements are parsed.

  See Also:
    `NamespaceHandlerSupport.registerBeanDefinitionParser(String, BeanDefinitionParser)`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.